@charset "UTF-8";
@namespace "http://www.w3.org/1999/xhtml";
@namespace xml "http://www.w3.org/XML/1998/namespace";
@namespace xsi "http://www.w3.org/2001/XMLSchema-instance";
@namespace xsd "http://www.w3.org/2001/XMLSchema";
@namespace xsl "http://www.w3.org/1999/XSL/Transform";
@namespace xmlns "http://www.w3.org/2000/xmlns/";
/*******************************************************************************
	GAELIC_FREEMAN_MENU_STYLE_AUTHORED = '2025-08-16T12:00:00Z';
	GAELIC_FREEMAN_MENU_STYLE_MODIFIED = '2026-08-09T03:06:00Z';

	See https://www.gaelicfreeman.com/home.xhtml
	metadata for rights and licensing information.
*******************************************************************************/

/*******************************************************************************
	Define the toolbar menu and nav styles.
*******************************************************************************/

div#full.show,
div#mini.show
{
	display: block;
}

div#full.hide,
div#mini.hide
{
	display: none;
}

menu.toolbar,
nav.toolbar
{
	display: inline-block;
	background-color: transparent;
	line-height: 6vh;
	text-align: left;
}

menu.toolbar
{
	padding-right: 1vw;
	list-style: none;
}

menu.toolbar div.dropdown
{
	line-height: normal;
}

nav.toolbar + menu.toolbar,
menu.toolbar > li.menuitem + li.menuitem,
nav.toolbar a + a
{
	margin-left: 1vw;
}

menu.toolbar a,
nav.toolbar a
{
	text-decoration: none;
}

menu.toolbar button,
nav.toolbar button
{
	background-image: none;
	font-family: inherit;
	font-size: inherit;
	cursor: pointer;
}

menu.toolbar a,
menu.toolbar button,
nav.toolbar a,
nav.toolbar button
{
	color: rgba( 0, 0, 255, 1 );
	background-color: transparent;
}

menu.toolbar a:hover,
menu.toolbar button:hover,
nav.toolbar a:hover,
nav.toolbar button:hover
{
	background-color: rgba( 192, 144, 32, 1 );
}

menu.toolbar button.menu-toggle:hover
{
	background-color: transparent;
}

div#updated
{
	position: absolute;
	left: 1vw;
	top: 0px;
	line-height: 6vh;
	border: 0;
}

menu.toolbar > li.menuitem
{
	position: relative;
	display: inline-block;
}

menu.toolbar button.menu-toggle
{
	width: 4.875vh;
	height: 4vh;
	background-color: transparent;
	background-position: center center;
	background-size: auto 4vh;
	vertical-align: 0.75vh;
}

menu.toolbar button[value="open"]
{
	background-image: url( "media/css-bg-menu_open.png" );
}

menu.toolbar button[value="open"]:hover
{
	background-image: url( "media/css-bg-menu_open-hover.png" );
}

menu.toolbar button[value="shut"]
{
	background-image: url( "media/css-bg-menu_shut.png" );
}

menu.toolbar button[value="shut"]:hover
{
	background-image: url( "media/css-bg-menu_shut-hover.png" );
}

nav.toolbar form
{
	display: inline-block;
}

/*******************************************************************************
	Define the dropdown element styles.
*******************************************************************************/

div.dropdown
{
 	position: absolute;
	right: 50%;
	top: 100%;
	background-color: rgba( 8, 8, 8, 1 );
	border: 0.2vh ridge rgba( 0, 0, 0, 1 );
	border-radius: 0;
}

div.dropdown.hide
{
	display: none;
}

div.dropdown.show
{
	display: block;
	z-index: 3;
}

div.dropdown menu,
div.dropdown ul
{
	max-height: 60vh;
	overflow: hidden;
}

div.scroll-box > div
{
	text-align: center;
}

div.scroll-box > div > button
{
	display: inline-block;
	width: 100%;
	height: 15px;
	color: rgba( 240, 240, 240, 1 );
	background-color: transparent;
	font-size: 15px;
	text-align: center;
}

div.dropdown li.menuitem > a,
div.dropdown li.menuitem > button
{
 	display: block;
	min-width: 10em;
	color: rgba( 240, 240, 240, 1 );
	text-align: left;
	padding: 0.2em 0.5em 0.2em 0.5em;
	white-space: nowrap;
}

div.dropdown li.menuitem > a[href]:hover,
div.dropdown li.menuitem > button:hover
{
	color: rgba( 0, 0, 0, 1 );
	background-color: rgba( 56, 40, 8, 1 );
	background-image: linear-gradient( to bottom, rgba( 220, 198, 118, 1 ), rgba( 255, 236, 176, 1 ) 10%, rgba( 224, 194, 110, 1 ) 50%, rgba( 194, 166, 102, 1 ) 90%, rgba( 128, 96, 48, 1 ) );
	text-align: center;
}

div.dropdown li.menuitem > a:not( [href] )
{
	background-color: transparent;
	opacity: 0.6;
	cursor: not-allowed;
}

div.dropdown li.menuitem > hr
{
	height: 0;
	border-top: 1px solid rgba( 240, 240, 240, 1 );
	margin: 0.25em 0.5em 0.25em 0.5em;
}

div.dropdown > article
{
	width: 40vw;
	max-height: 70vh;
	color: rgba( 0, 0, 0, 1 );
	background-color: rgba( 96, 118, 80, 1 );
	background-image: url( "media/css-bg-paper_tile.png" );
	background-attachment: scroll;
	background-position: left top;
	background-repeat: repeat;
	margin: 1em;
	padding: 1em;
	overflow-x: hidden;
	overflow-y: auto;
}

div.dropdown > article > header
{
	margin-bottom: 1em;
}

div.dropdown > article > header > h1
{
	font-size: 1.4em;
	text-align: center;
}

div.dropdown > article > section
{
	margin-bottom: 1em;
}

div.dropdown > article > section > p
{
	line-height: 1.5;
	text-align: justify;
	margin-bottom: 1em;
}

div.dropdown > article > section li
{
	line-height: 1.5;
	text-align: justify;
	margin-left: 1.25em;
}

div.dropdown > article > section:last-child, div.dropdown > article > section > *:last-child
{
	margin-bottom: 0;
}

/*******************************************************************************
	Define the custom contact form and form reply styles.
*******************************************************************************/

div#contact_form_wrapper
{
	margin: 1em;
}

button#contact_form_status.contact-form-status-code
{
	background-image: none;
}
